## ros-kinetic-pr2 1.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-pr2 (1.1.3-0xenial) xenial; urgency=high

  * fixed dependencies on two packages (hokuyo_node and geometry_experimental) whose names have changed (urg_node and geometry2)
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 30 Mar 2019 07:00:00 -0000

ros-kinetic-pr2 (1.1.2-0xenial) xenial; urgency=high

  * fixed spelling of hokuyo
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 07:00:00 -0000

ros-kinetic-pr2 (1.1.1-0xenial) xenial; urgency=high

  * updated changelogs
  * updated maintainer, updated changelog
  * pr2: changed dependencies on driver metapackages (which no longer exist) to instead depend on particular driver packages (which do)
  * updated to remove deprecated package pr2_object_manipulation and replace with moveit_pr2 and laser_drivers and replace with hokoyo_node
  * pr2_metapackages: removed dependencies on deprecated packages:
    pr2_gui, camera_drivers, mobile, object_manipulation

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 07:00:00 -0000

ros-kinetic-pr2 (1.1.0-0xenial) xenial; urgency=high

  * 1.0.1
  * updated maintainers
  * Added pr2_apps to dependencies
  * Enabled metapackages; removed CATKIN_IGNORE
  * Added pr2, pr2_base, and pr2_desktop metapackages
  * Contributors: David Feil-Seifer, TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 17 Mar 2018 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2
Section: misc
Priority: extra
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pr2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-audio-common, ros-kinetic-joystick-drivers, ros-kinetic-linux-networking, ros-kinetic-microstrain-3dmgx2-imu, ros-kinetic-pr2-apps, ros-kinetic-pr2-base, ros-kinetic-pr2-ethercat-drivers, ros-kinetic-pr2-navigation-apps, ros-kinetic-pr2-power-drivers, ros-kinetic-pr2-robot, ros-kinetic-prosilica-camera, ros-kinetic-urg-node, ros-kinetic-wge100-driver, ros-kinetic-wifi-ddwrt
Description: A metapackage to aggregate several packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
